Package org.apache.catalina.storeconfig

# Class PersistentManagerSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.PersistentManagerSF

All Implemented Interfaces:
  `IStoreFactory`

public class PersistentManagerSF extends StoreFactoryBase
store server.xml PersistentManager element with nested "Store"

- ## Field Summary

  ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersistentManagerSF()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `storeChildren(PrintWriter aWriter, int indent, Object aManager, StoreDescription parentDesc)`
  Store the specified PersistentManager properties.

  ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

  `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, store, storeElement, storeElementArray, storeXMLHead`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PersistentManagerSF

    public PersistentManagerSF()

- ## Method Details

  - ### storeChildren

    public void storeChildren(PrintWriter aWriter, int indent, Object aManager, StoreDescription parentDesc) throws Exception
    Store the specified PersistentManager properties.

    Must Implement at subclass for custom store children handling.

    Overrides:
      `storeChildren` in class `StoreFactoryBase`
    Parameters:
      `aWriter` - Current output writer
      `indent` - Indentation level
      `aManager` - Current element
      `parentDesc` - The element description
    Throws:
      `Exception` - Configuration storing error